package com.hai.service;

import com.hai.entity.HighDiscountPackageDiscountActual;

import java.util.List;

/**
 * @serviceName HighDiscountPackageDiscountActualService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 优惠券包实际库存优惠券实际
 * @createTime 3:13 下午 2021/12/8
 **/
public interface HighDiscountPackageDiscountActualService {
    
    /**
     * @Author Sum1Dream
     * @name insertHighDiscountPackageDiscountActual.java
     * @Description // 新增优惠券包实际库存
     * @Date 3:03 下午 2021/12/8
     * @Param [com.hai.entity.HighDiscountPackageDiscountActual]
     * @return void
     */
    void insertHighDiscountPackageDiscountActual(HighDiscountPackageDiscountActual highDiscountPackageDiscountActual);


    /**
     * @Author Sum1Dream
     * @name updateHighDiscountPackageDiscountActual.java
     * @Description // 修改优惠券包实际库存
     * @Date 3:04 下午 2021/12/8
     * @Param [com.hai.entity.HighDiscountPackageDiscountActual]
     * @return void
     */
    void updateHighDiscountPackageDiscountActual(HighDiscountPackageDiscountActual highDiscountPackageDiscountActual);


    /**
     * @Author Sum1Dream
     * @name getHighDiscountPackageDiscountActualList.java
     * @Description // 查询优惠券包列表;
     * @Date 3:05 下午 2021/12/8
     * @Param [java.util.Map<java.lang.String,java.lang.Object>]
     * @return java.util.List<com.hai.entity.HighDiscountPackageDiscountActual>
     */
    List<HighDiscountPackageDiscountActual> getHighDiscountPackageDiscountActualList(Integer discountPackageActualId);
}
