package com.hai.service;

import com.hai.entity.HighAgent;
import com.hai.entity.OutRechargeUser;
import com.hai.model.HighAgentModel;
import com.hai.model.OutRechargeUserModel;

import java.util.List;
import java.util.Map;

public interface OutRechargeUserService {

    /**
     * @Author Sum1Dream
     * @Description //查询 Administrator
     * @Date 17:52 2021/6/12
     * @Param [map]
     * @return java.util.List<com.hai.entity.OutRechargeUser>
     **/
    List<OutRechargeUser> getListRechargeUser(Map<String , String> map);


    /**
     * @Author Sum1Dream
     * @Description //查询详情 Administrator
     * @Date 17:53 2021/6/12
     * @Param [agentId]
     * @return com.hai.entity.OutRechargeUser
     **/
    OutRechargeUser findById(Long agentId);

    /**
     * @Author Sum1Dream
     * @Description //新增 Administrator
     * @Date 17:55 2021/6/12
     * @Param [outRechargeUserModel]
     * @return void
     **/
    void insertRechargeUser(OutRechargeUserModel outRechargeUserModel)  throws Exception ;


    /**
     * @Author Sum1Dream
     * @Description //修改 Administrator
     * @Date 17:55 2021/6/12
     * @Param [outRechargeUserModel]
     * @return void
     **/
    void updateRechargeUser(OutRechargeUserModel outRechargeUserModel);



}
