package com.hai.service;

import com.hai.entity.HighGasChannelConfig;
import com.hai.enum_type.GasChannel;
import com.hai.enum_type.GasChannelPayPlatformType;

/**
 * 加油站 渠道商配置
 */
public interface HighGasChannelConfigService {

    /**
     * 编辑配置
     * @param gasChannelConfig
     */
    void editConfig(HighGasChannelConfig gasChannelConfig);

    /**
     * 查询配置
     * @param channelId 渠道id
     * @param payPlatformType 支付平台类型
     * @return
     */
    HighGasChannelConfig getConfig(GasChannel channelId, GasChannelPayPlatformType payPlatformType);

}
